Bug 1383395 (CVE-2015-8956) - CVE-2015-8956 kernel: NULL dereference in RFCOMM bind callback
Summary: CVE-2015-8956 kernel: NULL dereference in RFCOMM bind callback
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8956
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1296707 1384470
Blocks: 1383400
TreeView+ depends on / blocked
 
Reported: 2016-10-10 14:14 UTC by Adam Mariš
Modified: 2019-09-29 13:57 UTC (History)
30 users (show)

Fixed In Version: kernel 4.2-rc1
Doc Type: Bug Fix
Doc Text:
The rfcomm_sock_bind function in net/bluetooth/rfcomm/sock.c in the Linux kernel before 4.2 allows local users to obtain sensitive information or cause a denial of service (NULL pointer dereference) via vectors involving a bind system call on a Bluetooth RFCOMM socket.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:59:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2574 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-11-03 12:06:10 UTC
Red Hat Product Errata RHSA-2016:2584 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2016-11-03 12:08:49 UTC

Description Adam Mariš 2016-10-10 14:14:10 UTC
The rfcomm_sock_bind function in net/bluetooth/rfcomm/sock.c in the Linux kernel before 4.2 allows local users to obtain sensitive information or cause a denial of service (NULL pointer dereference) via vectors involving a bind system call on a Bluetooth RFCOMM socket.

Upstream patch:

https://github.com/torvalds/linux/commit/951b6a0717db97ce420547222647bcc40bf1eacd

Related:

http://source.android.com/security/bulletin/2016-10-01.html

Comment 2 Vladis Dronov 2016-10-13 11:05:26 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG-2. Future Linux kernel updates for the respective releases might address this issue.

Comment 5 errata-xmlrpc 2016-11-03 17:35:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 6 errata-xmlrpc 2016-11-03 19:58:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html

Comment 7 errata-xmlrpc 2016-11-03 21:38:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 8 errata-xmlrpc 2016-11-03 21:51:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html


Note You need to log in before you can comment on or make changes to this bug.